<!DOCTYPE html>
<html lang="en">

<head>

  <!-- Minima -->
  <!-- Hexo theme created by @adisaktijrs -->

  <!-- Basic Page Needs
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <meta charset="utf-8">

  <%
  if (!config.author) {
    config.author = ""
  }

  var title = title = config.title;
  if (is_archive()){
    title = 'All Posts - ' + config.author;
  } else if (is_post()){
    title = page.title;
  } else if (is_page()){
    title = page.title + ' - ' + config.author;
  } else if (is_tag()){
    title = 'Posts Related to ' + page.tag;
  }
  %>
  <title><%= title %></title>
  <% if (config.sitemap) { %>
  <link rel="sitemap" href="<%-config.url + config.sitemap.path %>" />
  <% } %>
  <link rel="canonical" href="<%= url.replace(/index\.html$/, '').replace(/index\.html$/, '') %>">
  <% if (is_page()){ %>
  <meta name="description" content="<%= page.description %>">
  <% } else if (page.content){ %>
  <meta name="description" content="<%= strip_html(page.content).replace(/\n/g, " ").replace(/^\s*/, '').replace(/\s*$/, '').substring(0, 150) %>">
  <% } else { %>
  <meta name="description" content="<%= config.description %>">
  <% } %>
  <% if (config.keywords) { %>
  <meta name="keywords" content="<%= config.keywords %>">
  <% } %>
  <meta name="author" content="<%- config.author %>">
  <% if (is_post() || is_page()) { %>
  <meta property="og:image" content="<%-config.url + page.thumbnail %>">
  <% } else { %>
  <meta property="og:image" content="<%-config.url + theme.thumbnail %>">
  <% } %>
  <meta property="og:site_name" content="<%= config.title %>" />
  <meta property="og:type" content="article" />
  <meta property="og:title" content="<%= title %>" />
  <% if (is_page()){ %>
  <meta property="og:description" content="<%= page.description %>">
  <% } else if (page.content){ %>
  <meta property="og:description" content="<%= strip_html(page.content).replace(/\n/g, " ").replace(/^\s*/, '').replace(/\s*$/, '').substring(0, 150) %>">
  <% } else { %>
  <meta property="og:description" content="<%= config.description %>">
  <% } %>
  <meta property="og:url" content="<%= url.replace(/index\.html$/, '').replace(/index\.html$/, '') %>" />

  <meta name="twitter:card" content="summary_large_image">
  <meta name="twitter:title" content="<%= title %>">
  <% if (is_page()){ %>
  <meta name="twitter:description" content="<%= page.description %>">
  <% } else if (page.content){ %>
  <meta name="twitter:description" content="<%= strip_html(page.content).replace(/\n/g, " ").replace(/^\s*/, '').replace(/\s*$/, '').substring(0, 150) %>">
  <% } else { %>
  <meta name="twitter:description" content="<%= config.description %>">
  <% } %>
  <% if (is_post() || is_page()) { %>
  <meta name="twitter:image" content="<%-config.url + page.thumbnail %>">
  <% } else { %>
  <meta name="twitter:image" content="<%-config.url + theme.thumbnail %>">
  <% } %>
  <meta name="twitter:url" content="<%= url.replace(/index\.html$/, '').replace(/index\.html$/, '') %>" />

  <!-- Mobile Specific Metas
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- Preload fonts
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <link rel="preload" href="/dnd-referat/ordnungen/fonts/dm-serif-display-v4-latin-regular.woff2" as="font" type="font/woff2" crossorigin>
  <link rel="preload" href="/dnd-referat/ordnungen/fonts/inter-v2-latin-regular.woff2" as="font" type="font/woff2" crossorigin>

  <!-- CSS
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <%- css('css/normalize.css') %>
  <%- css('css/skeleton.css') %>
  <%- css('css/custom.css') %>
  <%- css('css/prism-dark.css') %>
  <%- css('css/prism-line-numbers.css') %>
  <!-- User css -->
  <% if (theme.usercss) { %>
  <%- css(theme.usercss) %>
  <% } %>

  <!-- Favicon
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <link rel="icon" type="image/png" href="<%- theme.favicon %>">

  <!-- Custom Theme Color Style
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <%- partial('partial/tcolor') %>

</head>

<body>
  <div class="container">
    <div class="row">
      <div>

        <%- partial('partial/header') %>
        <div class="trans">
          <%- body %>
          <%- partial('partial/footer') %>
        </div>
      </div>

    </div>

  </div>
  <script src="<%- theme.nanobar %>"></script>
  <script>
    var options = {
      classname: 'nanobar',
      id: 'myNanobar'
    };
    var nanobar = new Nanobar(options);
    nanobar.go(30);
    nanobar.go(76);
    nanobar.go(100);
  </script>

</body>

</html>
